# -*- coding: utf-8 -*-
# vim: ft=python fileencoding=utf-8 sts=4 sw=4 et:
# Copyright (C) 2018-2022 J. Nathanael Philipp (jnphilipp) <nathanael@philipp.land>
#
# This file is part of django_oai_pmh.
#
# django_oai_pmh is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# django_oai_pmh is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with django_oai_pmh. If not, see <http://www.gnu.org/licenses/>.
# Generated by Django 2.0.2 on 2018-02-18 21:36

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("django_oai_pmh", "0003_header"),
    ]

    operations = [
        migrations.CreateModel(
            name="ResumptionToken",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created_at",
                    models.DateTimeField(auto_now_add=True, verbose_name="Created at"),
                ),
                (
                    "updated_at",
                    models.DateTimeField(auto_now=True, verbose_name="Updated at"),
                ),
                (
                    "expiration_date",
                    models.DateTimeField(verbose_name="Expiration date"),
                ),
                (
                    "complete_list_size",
                    models.IntegerField(default=0, verbose_name="Complete list size"),
                ),
                ("cursor", models.IntegerField(default=0, verbose_name="Cursor")),
                ("token", models.TextField(unique=True, verbose_name="Token")),
                (
                    "from_timestamp",
                    models.DateTimeField(
                        blank=True, null=True, verbose_name="From timestamp"
                    ),
                ),
                (
                    "until_timestamp",
                    models.DateTimeField(
                        blank=True, null=True, verbose_name="Until timestamp"
                    ),
                ),
                (
                    "metadata_prefix",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="django_oai_pmh.metadataformat",
                        verbose_name="Metadata prefix",
                    ),
                ),
                (
                    "set_spec",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="django_oai_pmh.set",
                        verbose_name="Set spec",
                    ),
                ),
            ],
            options={
                "verbose_name": "Resumption token",
                "verbose_name_plural": "Resumption tokens",
                "ordering": ("expiration_date",),
            },
        ),
    ]
