# -*- coding: utf-8 -*-
# vim: ft=python fileencoding=utf-8 sts=4 sw=4 et:
# Copyright (C) 2018-2022 J. Nathanael Philipp (jnphilipp) <nathanael@philipp.land>
#
# This file is part of django_oai_pmh.
#
# django_oai_pmh is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# django_oai_pmh is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with django_oai_pmh. If not, see <http://www.gnu.org/licenses/>.
# Generated by Django 2.0.2 on 2018-02-20 23:13

from django.db import migrations


def oaidc(apps, schema_editor):
    MetadataFormat = apps.get_model("django_oai_pmh", "MetadataFormat")
    MetadataFormat.objects.create(
        prefix="oai_dc",
        schema="https://www.openarchives.org/OAI/2.0/oai_dc.xsd",
        namespace="https://www.openarchives.org/OAI/2.0/oai_dc/",
    )


class Migration(migrations.Migration):

    dependencies = [
        ("django_oai_pmh", "0005_dcrecord"),
    ]

    operations = [
        migrations.RunPython(oaidc),
    ]
